##### VKO ####

param m;
param n;
param p;

set I := 1..m;
set J := 1..n;
set K := 1..p;

param c {K, J};
param a {I, J};
param b {I};
param fk {K} default 0;

var x {J}, >=0;

maximize f{k in K}: sum {j in J} c[k,j] * x[j];

s.t.
    constraints {i in I}:
        sum {j in J} a[i,j] * x[j] <= b[i];

    goalfuncs {k in K diff {p}}:
        sum {j in J} c[k,j] * x[j] >= fk[k];

data;

param m := 4;
param n := 2;
param p := 3;

param c:
        1   2 :=
    1   8   12
    2   14  10
    3   1   1
;

param a:
        1   2 :=
    1   8   4
    2   2   3
    3   4   3
    4   -5  -10
;

param b:=
    1   600
    2   300
    3   360
    4   -600
;

end;
